# mail.dumpstack.io

Note:
1. Comment out fetchTarball and mailserver for initial installation,
   because of [this bug](https://github.com/NixOS/nix/issues/2405).

2. Some cloud providers disallow outbound SMTP by default. Check it if
   there'll be issues with outgoing emails.

## Installation

    parted /dev/vda mklabel msdos
    parted /dev/vda mkpart primary ext4 0% 100%
    mkfs.ext4 -L system /dev/vda1
    mount /dev/vda1 /mnt/

    nix-env -iA nixos.gitMinimal
	git clone https://code.dumpstack.io/infra/mail.dumpstack.io.git /mnt/etc/nixos/

    nixos-generate-config --root /mnt

    nixos-install
    reboot
